Skip to content

nodes_datalinks_update

PUT
/api/nodes/{node_pk}/datalinks/{id}
curl --request PUT \
--url https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--data '{ "data": { "external_id": "example", "connection": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "datalink_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "multiple_update": false }'

Update the Data associated with a DataLink.

id
required
string format: uuid

A UUID string identifying this data link.

node_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

Serializer for updating the Data associated with a Datalink.

object
data
required

Serializer for the data field in DataLink update requests.

object
external_id
required
string
connection
required
string format: uuid
datalink_ids

List of datalink IDs to associate with the updated data.

Array<string>
multiple_update

Whether to update only this datalink or all datalinks in datalinls_ids.

boolean
Media typeapplication/json

Serializer for Datalink.

object
id
required
string format: uuid
node
required
string format: uuid
data
required
string format: uuid
data_obj
required

Return serialized data object with request context.

Parameters

obj : DataLink The object containing the data that needs to be serialized.

Returns

DatalinkDataSerializer A DatalinkDataSerializer object is being returned, with the data attribute of the input obj and the context set to include the request from the current context.

object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : DataLink The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time

Example generated

{
"node": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "datalink",
"message": "<datalink id> is not a valid UUID.",
"code": "invalid"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "node",
"message": "Not a member of the node.",
"code": "unauthorized"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}